package com.ruoyi.ems.domain;

import com.huashe.common.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 能源折标准煤维对象 dim_ems_discount_scoal
 * 
 * @author ruoyi
 * @date 2024-12-02
 */
public class EmsDisStaCoal extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 能源代码 */
    private String energyCode;

    /** 能源名称 */
    private String energyName;

    /** 系数值 */
    private Double coefficientValue;

    /** 系数单位 */
    private String coefficientUnit;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setEnergyCode(String energyCode) 
    {
        this.energyCode = energyCode;
    }

    public String getEnergyCode() 
    {
        return energyCode;
    }
    public void setEnergyName(String energyName) 
    {
        this.energyName = energyName;
    }

    public String getEnergyName() 
    {
        return energyName;
    }
    public void setCoefficientValue(Double coefficientValue)
    {
        this.coefficientValue = coefficientValue;
    }

    public Double getCoefficientValue()
    {
        return coefficientValue;
    }
    public void setCoefficientUnit(String coefficientUnit) 
    {
        this.coefficientUnit = coefficientUnit;
    }

    public String getCoefficientUnit() 
    {
        return coefficientUnit;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("energyCode", getEnergyCode())
            .append("energyName", getEnergyName())
            .append("coefficientValue", getCoefficientValue())
            .append("coefficientUnit", getCoefficientUnit())
            .toString();
    }
}
